Subject: Re: hook for rebase --continue

From: Neal Kreitzinger <[email-masked]>
Date: Wed, 09 Nov 2011 18:47:19 -0600

On 11/7/2011 1:42 PM, Matt Graham wrote:
> I did some testing and it appears that during a rebase, if I resolve
> a conflict and call git rebase --continue, the pre-commit hook
> doesn't run.  This means that if I don't resolve the conflict
> correctly, our check for invalid syntax doesn't get run and creates
> the risk that someone could push code with invalid syntax, not
> realizing that the check didn't run.
>
> Does anyone else share my expectation that the pre-commit hook
> should run during a rebase? Or at least for the first commit
> following a rebase conflict?
>
> If not, is there another hook that is triggered by a rebase that I
> should be using instead?
>
You could try creating an alias (e.g. "git rebase-continue") in your 
gitconfig that runs the desired validation logic and then executes git 
rebase.  Then you would run "git rebase-continue" instead of "git rebase 
--continue".

v/r,
neal